commit: 5f8551642b77435b0b2580e90ade514d328c2120
Author: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 19 20:45:31 2016 +0000
Commit: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
CommitDate: Sun Jun 19 20:45:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f855164
app-misc/gnote: fix aclocal error (bug #581308)
Thanks to Ed Catmur for reporting and the fix.
Package-Manager: portage-2.3.0_rc1
app-misc/gnote/gnote-3.18.1.ebuild | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/app-misc/gnote/gnote-3.18.1.ebuild
b/app-misc/gnote/gnote-3.18.1.ebuild
index 7aa6fe3..e0afcb2 100644
--- a/app-misc/gnote/gnote-3.18.1.ebuild
+++ b/app-misc/gnote/gnote-3.18.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -49,6 +49,10 @@ src_prepare() {
# Do not alter CFLAGS
sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+ # Prevent m4_copy error when running aclocal, bug #581308
+ # m4_copy: won't overwrite defined macro: glib_DEFUN
+ rm m4/glib-gettext.m4 || die
+
eautoreconf
gnome2_src_prepare